diff --git a/imap/util.c b/imap/util.c
index ee9659e960..80eb2bc8bb 100644
--- a/imap/util.c
+++ b/imap/util.c
@@ -617,12 +617,6 @@ struct ImapData *imap_new_idata(void)
   mutt_buffer_init(&idata->cmdbuf);
   idata->cmdslots = ImapPipelineDepth + 2;
   idata->cmds = mutt_mem_calloc(idata->cmdslots, sizeof(*idata->cmds));
-  if (!idata->cmds)
-  {
-    mutt_buffer_deinit(&idata->cmdbuf);
-    FREE(&idata);
-  }
-
   STAILQ_INIT(&idata->flags);
   STAILQ_INIT(&idata->mboxcache);
 
